ListAttributeGroupsForApplication
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Lists the details of all attribute groups associated with a specific application. The results display in pages.
Request Syntax
GET /applications/application/attribute-group-details?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- application
-
The name or ID of the application.
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)Required: Yes
- maxResults
-
The upper bound of the number of results to return. The value cannot exceed 25. If you omit this parameter, it defaults to 25. This value is optional.
Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
This token retrieves the next page of results after a previous API call.
Length Constraints: Minimum length of 1. Maximum length of 2024.
Pattern:
[A-Za-z0-9+/=]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"attributeGroupsDetails": [
{
"arn": "string",
"createdBy": "string",
"id": "string",
"name": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- attributeGroupsDetails
-
The details related to a specific attribute group.
Type: Array of AttributeGroupDetails objects
- nextToken
-
The token to use to get the next page of results after a previous API call.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2024.
Pattern:
[A-Za-z0-9+/=]+
Errors
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource does not exist.
HTTP Status Code: 404
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: